<?php
namespace Pinpoint\LogoManager\Model;
/**
 * Class Logo
 * @package Pinpoint\LogoManager\Model
 */
class Logo extends \Magento\Framework\Model\AbstractModel implements \Pinpoint\LogoManager\Api\Data\LogoInterface, \Magento\Framework\DataObject\IdentityInterface
{
    /**
     * @var string
     */
    const CACHE_TAG = 'pinpoint_logomanager_logo';

    /**
     * @var string
     */
    const STATUS_ENABLED = 1;

    protected function _construct()
    {
        $this->_init('Pinpoint\LogoManager\Model\ResourceModel\Logo');
    }

    /**
     * @return array
     */
    public function getIdentities()
    {
        return [self::CACHE_TAG . '_' . $this->getId()];
    }
}
