<?php
namespace Pinpoint\LogoManager\Ui\Component\Listing\DataProviders\Pinpoint\Logomanager;

/**
 * Class Logos
 * @package Pinpoint\LogoManager\Ui\Component\Listing\DataProviders\Pinpoint\Logomanager
 */
class Logos extends \Magento\Ui\DataProvider\AbstractDataProvider
{
    /**
     * Logos constructor.
     * @param string $name
     * @param string $primaryFieldName
     * @param string $requestFieldName
     * @param \Pinpoint\LogoManager\Model\ResourceModel\Logo\CollectionFactory $collectionFactory
     * @param array $meta
     * @param array $data
     */
    public function __construct(
        $name,
        $primaryFieldName,
        $requestFieldName,
        \Pinpoint\LogoManager\Model\ResourceModel\Logo\CollectionFactory $collectionFactory,
        array $meta = [],
        array $data = []
    ) {
        parent::__construct($name, $primaryFieldName, $requestFieldName, $meta, $data);
        $this->collection = $collectionFactory->create();
    }
}
